Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 7615)
@@ -99,4 +99,5 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Microsoft.CSharp" />
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -137,4 +138,16 @@
     </Compile>
     <Compile Include="Plugin.cs" />
+    <Compile Include="ProblemInstanceProviderView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ProblemInstanceProviderView.Designer.cs">
+      <DependentUpon>ProblemInstanceProviderView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ProblemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ProblemView.designer.cs">
+      <DependentUpon>ProblemView.cs</DependentUpon>
+    </Compile>
     <Compile Include="RunCollectionModifierListView.cs">
       <SubType>UserControl</SubType>
@@ -143,8 +156,8 @@
       <DependentUpon>RunCollectionModifierListView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionContentConstraintView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionContentConstraintView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionContentConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionContentConstraintView.Designer.cs">
       <DependentUpon>RunCollectionContentConstraintView.cs</DependentUpon>
     </Compile>
@@ -167,32 +180,32 @@
       <DependentUpon>ResultValueView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionBoxPlotView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionBoxPlotView.Designer.cs">
+    <Compile Include="RunCollectionViews\RunCollectionBoxPlotView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionViews\RunCollectionBoxPlotView.Designer.cs">
       <DependentUpon>RunCollectionBoxPlotView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionComparisonConstraintView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionComparisonConstraintView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionComparisonConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionComparisonConstraintView.Designer.cs">
       <DependentUpon>RunCollectionComparisonConstraintView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionTypeCompatibilityConstraintView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionTypeCompatibilityConstraintView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionTypeCompatibilityConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionTypeCompatibilityConstraintView.Designer.cs">
       <DependentUpon>RunCollectionTypeCompatibilityConstraintView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionConstraintCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionConstraintCollectionView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionConstraintCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionConstraintCollectionView.Designer.cs">
       <DependentUpon>RunCollectionConstraintCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionColumnConstraintView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionColumnConstraintView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionColumnConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionColumnConstraintView.Designer.cs">
       <DependentUpon>RunCollectionColumnConstraintView.cs</DependentUpon>
     </Compile>
@@ -209,26 +222,26 @@
       <DependentUpon>ExperimentView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionBubbleChartView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionBubbleChartView.Designer.cs">
+    <Compile Include="RunCollectionViews\RunCollectionBubbleChartView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionViews\RunCollectionBubbleChartView.Designer.cs">
       <DependentUpon>RunCollectionBubbleChartView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionEqualityConstraintView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionEqualityConstraintView.Designer.cs">
+    <Compile Include="RunCollectionConstraintViews\RunCollectionEqualityConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionConstraintViews\RunCollectionEqualityConstraintView.Designer.cs">
       <DependentUpon>RunCollectionEqualityConstraintView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionTabularView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionTabularView.Designer.cs">
+    <Compile Include="RunCollectionViews\RunCollectionTabularView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionViews\RunCollectionTabularView.Designer.cs">
       <DependentUpon>RunCollectionTabularView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="RunCollectionView.Designer.cs">
+    <Compile Include="RunCollectionViews\RunCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RunCollectionViews\RunCollectionView.Designer.cs">
       <DependentUpon>RunCollectionView.cs</DependentUpon>
     </Compile>
@@ -251,9 +264,9 @@
       <DependentUpon>EngineAlgorithmView.cs</DependentUpon>
     </Compile>
-    <Compile Include="ProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ProblemView.Designer.cs">
-      <DependentUpon>ProblemView.cs</DependentUpon>
+    <Compile Include="HeuristicOptimizationProblemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="HeuristicOptimizationProblemView.Designer.cs">
+      <DependentUpon>HeuristicOptimizationProblemView.cs</DependentUpon>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -335,4 +348,8 @@
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
       <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
+      <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
+      <Name>HeuristicLab.Problems.Instances-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Visualization.ChartControlsExtensions\3.3\HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj">
